﻿
namespace Owl.Asf
{
	/// <summary>
	/// タグのデータ型を表す値を定義しています。
	/// 各値の実数は ASF ファイル内のデータ型を表す値に対応しています。
	/// 定義が Windows Media Format の WMT_ATTR_DATATYPE とは一致しない点に注意してください。
	/// </summary>
	enum TagDataType
	{
		/// <summary>
		/// UTF-16LE 文字列。
		/// </summary>
		String = 0,

		/// <summary>
		/// バイト配列。
		/// </summary>
		Binary,

		/// <summary>
		/// 真偽値 ( 32 ビット )。
		/// </summary>
		Bool,

		/// <summary>
		/// 符号なし 32 ビット整数。
		/// </summary>
		UInt32,

		/// <summary>
		/// 符号なし 64 ビット整数。
		/// </summary>
		UInt64,

		/// <summary>
		/// 符号なし 16 ビット整数。
		/// </summary>
		UInt16
	}
}
