﻿
namespace Owl.Asf
{
	/// <summary>
	/// 遅延読み込みをおこなうための情報を格納します。
	/// </summary>
	class TagReadData
	{
		/// <summary>
		/// インスタンスを初期化します。
		/// </summary>
		/// <param name="position">ストーリム上の読み出し位置 ( バイト単位 )。</param>
		/// <param name="length">ストリームから読み取るサイズ ( バイト単位 )。</param>
		/// <param name="type">データ型。</param>
		public TagReadData( long position, int length, TagDataType type )
		{
			this.Length   = length;
			this.Position = position;
			this.Type     = type;
		}

		/// <summary>
		/// ストリームから読み取るサイズ ( バイト単位 ) を取得します。
		/// </summary>
		public int Length { get; private set; }

		/// <summary>
		/// ストーリム上の読み出し位置 ( バイト単位 ) を取得します。
		/// </summary>
		public long Position { get; private set; }

		/// <summary>
		/// データ型を取得します。
		/// </summary>
		public TagDataType Type { get; private set; }
	}
}
