﻿using System;

namespace Owl.Id3
{
	/// <summary>
	/// フレームのフラグ ( ID3v2.3 以降 ) を定義します。
	/// </summary>
	[Flags]
	enum FrameFlags
	{
		/// <summary>
		/// 
		/// </summary>
		None = 0x00,

		/// <summary>
		/// タグが更新されたとき、現在のフレームを削除します。
		/// </summary>
		RemoveFrameOnUpdateTag = 0x01,

		/// <summary>
		/// ファイル ( タグ以外の領域 ) が更新されたとき、現在のフレームを削除します。
		/// </summary>
		RemoveFrameOnUpdateFile = 0x02,

		/// <summary>
		/// フレームは読み取り専用です。
		/// </summary>
		Readonly = 0x04,

		/// <summary>
		/// フレームは ZIP ( zlib ) 圧縮されています。
		/// </summary>
		Compressed = 0x08,

		/// <summary>
		/// フレームは暗号化されています。
		/// </summary>
		Encrypted = 0x10,

		/// <summary>
		/// フレームはグループ化されています。
		/// </summary>
		Grouping = 0x20
	}
}
