﻿
namespace Owl.Id3
{
	/// <summary>
	/// タグ情報の型を定義します。
	/// </summary>
	public enum Id3TagDataType
	{
		/// <summary>
		/// 独自形式データ、または純粋なバイナリ。
		/// </summary>
		Binary,

		/// <summary>
		/// 説明つきバイナリ。
		/// </summary>
		BinaryWithComment,

		/// <summary>
		/// サイズ指定バイナリ。
		/// </summary>
		BinaryWithSize,

		/// <summary>
		/// リンク形式テキスト。
		/// </summary>
		Link,

		/// <summary>
		/// 通常のテキスト。文字コード指定がおこなわれる。
		/// </summary>
		Text,

		/// <summary>
		/// ユーザー定義テキスト。
		/// </summary>
		TextUserDefined,

		/// <summary>
		/// URL。
		/// </summary>
		Url,

		/// <summary>
		/// 言語情報つきテキスト。
		/// </summary>
		TextWithLanguage,

		/// <summary>
		/// 言語情報と説明がつくテキスト。
		/// </summary>
		TextWithCommentAndLanguage,
	}
}
