﻿using System;

namespace Owl.Id3
{
	/// <summary>
	/// ID3v1、ID3v2.2 ～ 4 のタグ情報を編集します。
	/// </summary>
	public class Id3TagEditor
	{
		/// <summary>
		/// ID3v1 のタグ情報をダンプします。
		/// </summary>
		/// <param name="filePath">ファイルへのパス情報。</param>
		/// <param name="dumpFilePath">ダンプ先となるテキストファイルへのパス情報。</param>
		/// <exception cref="NotSupportedException">サポート外のファイルです。</exception>
		public static void DumpV1( string filePath, string dumpFilePath )
		{
			using( var dumper = new TagDumper( filePath, dumpFilePath ) )
			{
				dumper.DumpV1();
			}
		}

		/// <summary>
		/// ID3v1 のタグ情報をダンプします。
		/// </summary>
		/// <param name="filePath">ファイルへのパス情報。</param>
		/// <param name="dumpFilePath">ダンプ先となるテキストファイルへのパス情報。</param>
		/// <exception cref="NotSupportedException">サポート外のファイルです。</exception>
		public static void DumpV2( string filePath, string dumpFilePath )
		{
			using( var dumper = new TagDumper( filePath, dumpFilePath ) )
			{
				dumper.DumpV2();
			}
		}
	}
}
