﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Owl.Id3
{
	/// <summary>
	/// タグの基本情報を表します。
	/// </summary>
	public class Id3TagInfo
	{
		/// <summary>
		/// インスタンスを初期化します。
		/// </summary>
		/// <param name="id">フレーム ID。</param>
		/// <param name="type">データ種別。</param>
		internal Id3TagInfo( string id, Id3TagDataType type )
		{
			this.Id   = id;
			this.Type = type;
		}

		/// <summary>
		/// フレーム ID を取得します。
		/// </summary>
		public string Id { get; private set; }

		/// <summary>
		/// データ種別を取得します。
		/// </summary>
		public Id3TagDataType Type { get; private set; }
	}
}
