﻿
namespace Owl.Id3
{
	/// <summary>
	/// テキストの文字コードを定義します。
	/// </summary>
	public enum Id3TextEncoding
	{
		/// <summary>
		/// 指定なし。
		/// ID3v2 の仕様では ISO-8859-1 ですが、厳密に準拠されていない可能性があるので
		/// Encoding.Default として扱います。
		/// </summary>
		Default = 0,
	
		/// <summary>
		/// UTF-16 ( BOM つき )。
		/// </summary>
		Utf16,
		
		/// <summary>
		/// UTF-16 ビッグ エンディアン。
		/// </summary>
		Utf16BE,
		
		/// <summary>
		/// UTF-8。
		/// </summary>
		Utf8
	}
}
