﻿using System;

namespace Owl
{
	/// <summary>
	/// サポートされていないファイル形式であることを検出したときにスローされる例外です。
	/// </summary>
	class UnsupportedFormatException : Exception
	{
		/// <summary>
		/// インスタンスを初期化します。
		/// </summary>
		public UnsupportedFormatException()
		{
		}

		/// <summary>
		/// 指定したエラー メッセージを使用して、インスタンスを初期化します。
		/// </summary>
		/// <param name="message">例外の原因を説明するエラー メッセージ。</param>
		public UnsupportedFormatException( string message )
			: base( message )
		{
		}

		/// <summary>
		/// 指定したエラー メッセージと、この例外の原因である内部例外への参照を使用して、インスタンスを初期化します。
		/// </summary>
		/// <param name="message">例外の原因を説明するエラー メッセージ。</param>
		/// <param name="innerException">現在の例外の原因である例外。内部例外が指定されていない場合は、null 参照。</param>
		public UnsupportedFormatException( string message, Exception innerException )
			: base( message, innerException )
		{
		}
	}
}
